LinuxQMISDK: voiceSUPSInfo Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
voiceSUPSInfo Struct Reference

## Data Fields
SUPSInfo | SUPSInformation
BYTE * | pSvcClass
BYTE * | pReason
BYTE * | pCallFWNum
BYTE * | pCallFWTimerVal
struct USSInfo * | pUSSInfo
BYTE * | pCallID
alphaIDInfo * | pAlphaIDInfo
BYTE * | pCallBarPasswd
newPwdData * | pNewPwdData
BYTE * | pDataSrc
WORD * | pFailCause
getCallFWInfo * | pCallFwdInfo
CLIRResp * | pCLIRstatus
CLIPResp * | pCLIPstatus
COLPResp * | pCOLPstatus
COLRResp * | pCOLRstatus
CNAPResp * | pCNAPstatus

## Detailed Description

This structure contains the parameters passed for SLQSVoiceSetSUPSCallBack by the device.

Parameters

  SUPSInformation(mandatory) | See SUPSInfo for more information.
  pSvcClass(optional) | Service class is a combination (sum) of information class constants (optional) See qaGobiApiTableSupServiceInfoClasses.h for service classes.
  pReason(optional) | See qaGobiApiTableCallControlReturnReasons.h for return reasons.
  pCallFWNum(optional) | Call forwarding number to be registered with the network. ASCII String, NULL terminated.
  pCallFWTimerVal(optional) | Call Forwarding No Reply Timer. Range: 5 to 30 in steps of 5.
  pUSSInfo(optional) | See USSInfo for more information.
  pCallID(optional) | Call identifier of the voice call that has been modified to a supplementary service as a result of call control.
  pAlphaIDInfo(optional) | See alphaIDInfo for more information.
  pCallBarPasswd(optional) | Password is required if call barring is provisioned using a password. Password consists of 4 ASCII digits. Range: 0000 to 9999. This also serves as the old password in the register password scenario.
  pNewPwdData(optional) | See newPwdData for more information.
  pDataSrc(optional) | Sups Data Source. Used to distinguish between the supplementary service data sent to the network and the response received from the network. If absent, the supplementary service data in this indication can be assumed as a request sent to the network.
  pFailCause(optional) | Supplementary services failure cause. See qaGobiApiTableVoiceCallEndReasons.h for more information.
  pCallFwdInfo(optional) | See getCallFWInfo for more information.
  pCLIRstatus(optional) | See CLIRResp for more information.
  pCLIPstatus(optional) | See CLIPResp for more information.
  pCOLPstatus(optional) | See COLPResp for more information.
  pCOLRstatus(optional) | See COLRResp for more information.
  pCNAPstatus(optional) | See CNAPResp for more information.

Note
  None

## Field Documentation

alphaIDInfo* voiceSUPSInfo::pAlphaIDInfo

BYTE* voiceSUPSInfo::pCallBarPasswd

getCallFWInfo* voiceSUPSInfo::pCallFwdInfo

BYTE* voiceSUPSInfo::pCallFWNum

BYTE* voiceSUPSInfo::pCallFWTimerVal

BYTE* voiceSUPSInfo::pCallID

CLIPResp* voiceSUPSInfo::pCLIPstatus

CLIRResp* voiceSUPSInfo::pCLIRstatus

CNAPResp* voiceSUPSInfo::pCNAPstatus

COLPResp* voiceSUPSInfo::pCOLPstatus

COLRResp* voiceSUPSInfo::pCOLRstatus

BYTE* voiceSUPSInfo::pDataSrc

WORD* voiceSUPSInfo::pFailCause

newPwdData* voiceSUPSInfo::pNewPwdData

BYTE* voiceSUPSInfo::pReason

BYTE* voiceSUPSInfo::pSvcClass

struct USSInfo* voiceSUPSInfo::pUSSInfo

SUPSInfo voiceSUPSInfo::SUPSInformation